package com.starbuds.server.service.task;

import com.starbuds.server.service.task.rocket.RocketConsumer;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.DubboShutdownHook;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ApplicationListener;
import org.springframework.context.event.ContextClosedEvent;

import javax.annotation.Resource;
import java.net.InetAddress;
import java.net.UnknownHostException;

/**
 * SpringBoot 入口
 *
 * @author Lay
 * @date 2019/11/29
 */
@SpringBootApplication
@Slf4j
public class Application implements CommandLineRunner {

    @Resource
    RocketConsumer rocketConsumer;

    public static void main(String[] args) {
        System.setProperty("app.name", "service-task");
        try {
            System.setProperty("hostname", InetAddress.getLocalHost().getHostName());
        } catch (UnknownHostException e) {
            System.setProperty("hostname", System.getProperty("app.name"));
        }
        SpringApplication.run(Application.class, args);
        log.info("[service-task] started.");
        log.info("[service-task] version 20211009");
    }

    @Override
    public void run(String... args) throws Exception {
        rocketConsumer.start();
    }
}
