package com.starbuds.server.service.task.dao;

import com.starbuds.server.common.pojo.db.ActivityGiveConfigDO;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mapper
 */
@Mapper
@Repository
public interface ActivityGiveConfigDAO {

    /**
     * 插入数据
     */
    int insert(ActivityGiveConfigDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<ActivityGiveConfigDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(ActivityGiveConfigDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    ActivityGiveConfigDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    ActivityGiveConfigDO selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<ActivityGiveConfigDO> selectPageList(QueryWrapper qw);

    /**
     * 获取可用的配置
     *
     * @return
     */
    List<ActivityGiveConfigDO> getUseConfig();
}