package com.starbuds.server.service.task.dao;

import com.starbuds.server.common.pojo.db.ActivityGiveRewardConfigDO;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mapper
 */
@Mapper
@Repository
public interface ActivityGiveRewardConfigDAO {

    /**
     * 插入数据
     */
    int insert(ActivityGiveRewardConfigDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<ActivityGiveRewardConfigDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(ActivityGiveRewardConfigDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    ActivityGiveRewardConfigDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    ActivityGiveRewardConfigDO selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<ActivityGiveRewardConfigDO> selectPageList(QueryWrapper qw);

    /**
     * 获取可用的配置数据
     *
     * @return
     */
    List<ActivityGiveRewardConfigDO> getUseRewardConfig(@Param("configId") Long configId);
}