package com.starbuds.server.service.task.dao;

import com.starbuds.server.service.task.entity.admin.AdminDO;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Map;
import java.util.Set;

/**
 * 管理后台管理员
 *
 * @author aoe
 * @date 2021/8/26
 */
@Mapper
@Repository
public interface AdminDAO {

    /**
     * 根据管理员id列表获得管理员信息
     *
     * @param adminIdList 管理员Id列表
     * @return
     */
    @MapKey("adminId")
    Map<Long, AdminDO> selectAdminMap(@Param("ids") Set<Long> adminIdList);
}
