package com.starbuds.server.service.task.dao;

import com.starbuds.server.common.pojo.db.FeedDO;
import com.starbuds.server.common.pojo.db.FeedPhotoWallDO;
import com.starbuds.server.common.pojo.db.UserDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 内容-照片墙
 *
 * @author aoe
 * @date 2021/1/29
 */
@Mapper
@Repository
public interface FeedPhotoWallDAO {

    /**
     * 新增
     *
     * @param list
     * @return
     */
    int insertBatch(List<FeedPhotoWallDO> list);

    /**
     * 查询照片墙数量
     *
     * @param userId
     * @param url
     * @return
     */
    int selectPhotoWallCount(@Param("userId") Long userId, @Param("url") String url);

    /**
     * 查询（老数据）照片墙列表
     *
     * @param pageCursor
     * @param pageSize
     * @return
     */
    List<FeedDO> selectFeedList(@Param("pageCursor") int pageCursor,
                                @Param("pageSize") int pageSize);

    /**
     * 查询（老数据）照片墙总数
     *
     * @return
     */
    int selectFeedListCount();

    /**
     * 查询审查照片墙数据
     *
     * @param pageCursor
     * @param pageSize
     * @return
     */
    List<FeedPhotoWallDO> selectCensorPhotoWallList(@Param("startTimestamp") Long startTimestamp, @Param("endTimestamp") Long endTimestamp,
                                                    @Param("pageCursor") int pageCursor, @Param("pageSize") int pageSize);

    /**
     * 查询审查动态数据
     *
     * @param feedType
     * @param pageCursor
     * @param pageSize
     * @return
     */
    List<FeedDO> selectCensorFeedList(@Param("feedType") int feedType, @Param("startTimestamp") Long startTimestamp, @Param("endTimestamp") Long endTimestamp,
                                      @Param("pageCursor") int pageCursor, @Param("pageSize") int pageSize);

    /***
     * 批量更新审核的动态数据
     * @param list SQL语句
     * @return
     */
    int updateBatchCensorRecord(List<String> list);
}
