package com.starbuds.server.service.task.dao;

import com.starbuds.server.common.pojo.db.LiveHisDO;
import com.starbuds.server.common.pojo.media.LiveStatVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/2/24
 */
@Mapper
@Repository
public interface LiveHisDAO {
    /**
     * 查询最新直播记录
     *
     * @param userId
     * @param liveStatus
     * @return
     */
    LiveHisDO selectLastByUserId(@Param("userId") Long userId, @Param("liveStatus") Integer liveStatus);

    /**
     * 获取直播统计
     *
     * @param startDate
     * @param endDate
     * @return
     */
    List<LiveStatVO> selectLiveStat(@Param("startDate") Long startDate, @Param("endDate") Long endDate);
}
