package com.starbuds.server.service.task.dao;

import com.starbuds.server.common.pojo.db.PropsDO;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/9/10 13:47
 * @Description 道具持久层
 */
@Mapper
@Repository
public interface PropsDAO {

    /**
     * 获取道具map
     *
     * @param propsIds
     */
    @MapKey("propsId")
    Map<Long, PropsDO> selectPropsMap(@Param("propsIds") List<Long> propsIds);

    /**
     * 根据主键查询
     *
     * @param propsId
     * @return
     */
    PropsDO selectById(@Param("propsId") Long propsId);
}
