package com.starbuds.server.service.task.dao;

import com.starbuds.server.common.pojo.task.vo.StatFinancialWeeklyVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @author: ruomu
 * @date: 2021/11/29 created
 */
@Mapper
@Repository
public interface StatFinancialWeeklyDAO {

    /**
     * 插入数据
     */
    int insert(StatFinancialWeeklyVO vo);

    int update(StatFinancialWeeklyVO vo);

    StatFinancialWeeklyVO getStatFinancial(@Param("year") Integer year, @Param("week") Integer week);

    /**
     * 获取周上期结余粉钻
     *
     * @param type 22粉钻不可提现   23 粉钻可提现
     * @param time 开始时间
     */
    Long getpDiamond(@Param("type") int type, @Param("time") long time);


    /**
     * 周变化粉钻
     *
     * @param type      22粉钻不可提现   23 粉钻可提现
     * @param StartTime
     * @param endTime
     */
    Long changePDiamond(@Param("type") int type, @Param("StartTime") long StartTime, @Param("endTime") long endTime);


    /**
     * 期末结余粉钻
     *
     * @param type    22粉钻不可提现   23 粉钻可提现
     * @param endTime
     */
    Long overPDiamond(@Param("type") int type, @Param("endTime") long endTime);


    /**
     * 增加的不可提现粉钻数量
     *
     * @param StartTime
     * @param endTime
     * @return
     */
    Long getAddPDiamondDisable(@Param("StartTime") long StartTime, @Param("endTime") long endTime);


    /**
     * 粉钻兑换钻石消耗粉钻数量
     *
     * @param type      22粉钻不可提现   23 粉钻可提现
     * @param StartTime
     * @param endTime
     * @return
     */
    Long pDiamondToDiamond(@Param("type") int type, @Param("StartTime") long StartTime, @Param("endTime") long endTime);


    /**
     * 周内审核通过总提现粉钻数量
     *
     * @param StartTime
     * @param endTime
     * @return
     */
    Long applePDiamond(@Param("StartTime") long StartTime, @Param("endTime") long endTime);


    /**
     * 周内审核通过且周内申请提现粉钻总量
     *
     * @param StartTime
     * @param endTime
     * @return
     */
    Long appleCreatePDiamond(@Param("StartTime") long StartTime, @Param("endTime") long endTime);

    /**
     * 可提现粉钻后台扣除粉钻数量
     *
     * @param StartTime
     * @param endTime
     * @return
     */
    Long pEnableBackDeduction(@Param("StartTime") long StartTime, @Param("endTime") long endTime);

    /**
     * 可提现粉钻提现数量
     *
     * @param StartTime
     * @param endTime
     * @return
     */
    Long pEnableWithdrawal(@Param("StartTime") long StartTime, @Param("endTime") long endTime);


}
