package com.starbuds.server.service.task.dao;

import com.starbuds.server.common.pojo.db.StatPlatformDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.math.BigDecimal;
import java.util.List;

/**
 * 平台统计
 *
 * @author aoe
 * @date 2021/9/7
 */
@Mapper
@Repository
public interface StatPlatformDAO {

    /**
     * 根据时间类型查询统计数据
     *
     * @param startDate
     * @param endDate
     * @param statType
     * @param statTimeType
     * @return
     */
    List<StatPlatformDO> selectStatListByTime(@Param("startDate") Long startDate,
                                              @Param("endDate") Long endDate,
                                              @Param("statType") int statType,
                                              @Param("statTimeType") int statTimeType);

    /**
     * 根据时间类型查询统计数据
     *
     * @param statTime
     * @param statType
     * @param statTimeType
     * @return
     */
    StatPlatformDO selectStatByTime(@Param("statTime") Long statTime,
                                    @Param("statType") int statType,
                                    @Param("statTimeType") int statTimeType);

    /**
     * 更新数据
     *
     * @param statTime
     * @param statTimeType
     * @param channelId
     * @param statValue
     * @return
     */
    int updateStat(@Param("statTime") Long statTime,
                   @Param("statTimeType") int statTimeType,
                   @Param("channelId") Long channelId,
                   @Param("statValue") BigDecimal statValue,
                   @Param("statType") int statType
    );


}
