package com.starbuds.server.service.task.dao;

import com.starbuds.server.common.pojo.data.BagItem;
import com.starbuds.server.common.pojo.db.UserBagDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/6/2 15:25
 * @Description 用户背包
 */
@Mapper
@Repository
public interface UserBagDAO {

    /**
     * 背包存量查询
     *
     * @param itemType
     * @param curTime
     * @param propsType
     * @return
     */
    List<BagItem> selectUserBag(@Param("itemType") Integer itemType,
                                @Param("curTime") Long curTime,
                                @Param("propsType") Integer propsType);

    /**
     * 根据类型查询
     *
     * @param itemId
     * @return
     */
    List<UserBagDO> selectByItemId(@Param("itemId") Long itemId);

}
