package com.starbuds.server.service.task.dao;

import com.starbuds.server.common.pojo.finance.UserBankcardDO;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @Author aoe
 * @DateTime 2021/4/23 16:28
 * @Description 用户银行卡持久层
 */
@Mapper
@Repository
public interface UserBankcardDAO {

    /**
     * 获取用户开户行
     */
    @MapKey("userId")
    Map<Long, UserBankcardDO> selectUserMobileMap(@Param("list") List<UserBankcardDO> list);

    /**
     * 查找用户银行卡
     *
     * @param userId
     * @return
     */
    List<UserBankcardDO> selectUserbankList(@Param("userId") Long userId);

    /**
     * 将未成年用户银行卡批量插入银行卡记录中
     *
     * @param list
     * @return
     */
    int insertOrUpdateUserBankcardHisBatch(List<UserBankcardDO> list);

    /**
     * 批量删除未成年人银行卡
     *
     * @param list
     * @return
     */
    int deleteUnderAgeBankcardBatch(List<UserBankcardDO> list);
}
