package com.starbuds.server.service.task.dao;

import com.starbuds.server.common.pojo.data.Wallet;
import com.starbuds.server.common.pojo.db.UserWalletDO;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/6/2 18:09
 * @Description 用户钱包
 */
@Mapper
@Repository
public interface UserWalletDAO {

    /**
     * 根据 id 查询
     *
     * @param walletId
     * @return
     */
    UserWalletDO selectById(@Param("walletId") String walletId);

    /**
     * 获取钱包
     *
     * @param walletType
     * @return
     */
    List<Wallet> selectUserWallets(@Param("walletType") Integer walletType);

    /**
     * 获取钱包
     *
     * @param walletType
     * @param pageCursor
     * @param pageSize
     * @return
     */
    List<Wallet> selectUserWalletPageList(@Param("walletType") Integer walletType, @Param("pageCursor") int pageCursor, @Param("pageSize") int pageSize);

    /**
     * 获取大小
     *
     * @param walletType
     * @return
     */
    int countUserWallets(@Param("walletType") Integer walletType);

    /**
     * 获取钱包id map
     *
     * @param walletIds
     * @return
     */
    @MapKey("walletId")
    Map<String, UserWalletDO> selectWalletMapByIds(@Param("walletIds") Set<String> walletIds);
}
