package com.starbuds.server.service.task.dao;

import com.starbuds.server.common.pojo.db.UserWalletHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author qinjiang
 * @DateTime 2021-08-25 13:53:03
 * @Description 用户钱包记录
 */
@Mapper
@Repository
public interface UserWalletHisDAO {
    /***
     * 获取用户钱包记录
     * @param userId
     * @param type 钱包记录类型
     * @param filter 筛选数据 1：大于0  0：小于零
     * @param startTimestamp 大于等于 开始时间
     * @param endTimestamp 小于 结束时间
     * @return
     */
    List<UserWalletHisDO> getUserWalletHis(@Param("userId") Long userId, @Param("type") Long type, @Param("filter") int filter, @Param("startTimestamp") Long startTimestamp, @Param("endTimestamp") Long endTimestamp, @Param("cursor") int cursor, @Param("pageSize") int pageSize);
}
