package com.starbuds.server.service.task.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serializable;

/***
 * @author qinjiang
 * @description 用户礼物打赏导出记录
 * @date 2021/8/25
 */
@Data
@HeadRowHeight(value = 40)
public class GiftGratuityExcel implements Serializable {
    /**
     * 用户id
     */
    @ExcelProperty(value = "编号", index = 0)
    @ColumnWidth(value = 18)
    private String userId;

    /**
     * 用户名
     */
    @ExcelProperty(value = "用户编号", index = 1)
    @ColumnWidth(value = 18)
    private String userNo;

    /**
     * 用户编号
     */
    @ExcelProperty(value = "用户名", index = 2)
    @ColumnWidth(value = 18)
    private String userName;

    /**
     * 身份证号码
     */
    @ExcelProperty(value = "身份证号码", index = 3)
    @ColumnWidth(value = 24)
    private String idCardNo;

    /**
     * 时间戳
     */
    @ExcelProperty(value = "时间戳", index = 4)
    @ColumnWidth(value = 18)
    private String timestamp;

    /**
     * 赠送时间
     */
    @ExcelProperty(value = "赠送时间", index = 5)
    @ColumnWidth(value = 30)
    private String sendTime;

    /**
     * 礼物价值
     */
    @ExcelProperty(value = "价值", index = 6)
    @ColumnWidth(value = 12)
    private String balanceValue;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注", index = 7)
    @ColumnWidth(value = 40)
    private String remark;
}
