package com.starbuds.server.service.task.job;

import cn.hutool.core.collection.CollectionUtil;
import com.alibaba.fastjson.JSON;
import com.starbuds.server.common.pojo.db.ActivityGiveConfigDO;
import com.starbuds.server.common.service.activity.ActivityAnniversaryService;
import com.starbuds.server.common.service.activity.ActivityService;
import com.starbuds.server.common.service.core.IdentityService;
import com.starbuds.server.service.task.constant.JobHandlers;
import com.starbuds.server.service.task.entity.activity.AutoGiveParamVO;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Reference;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 晋级, 每天凌晨执行
 *
 * @Author: lujiao
 * @Date: 2021/12/13 17:10
 */
@Component
@Slf4j
public class ActivityLevelUpJob {

    @Reference(version = "1.0.0")
    ActivityAnniversaryService activityAnniversaryService;


    @XxlJob(value = JobHandlers.ACTIVITY_LEVEL_UP)
    public ReturnT<String> activityLevelUpHandler(String param) {
        activityAnniversaryService.rankLevelUp();
        return ReturnT.SUCCESS;
    }

    @XxlJob(value = JobHandlers.ACTIVITY_GIVE_INFLUENCE_REWARD)
    public ReturnT<String> activityGiveInfluenceRewardHandler(String param) {
        activityAnniversaryService.giveInfluenceReward();
        return ReturnT.SUCCESS;
    }
}
