package com.starbuds.server.service.task.job;

import com.starbuds.server.common.service.data.DataMsgHisService;
import com.starbuds.server.service.task.constant.JobHandlers;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Reference;
import org.springframework.stereotype.Component;

/***
 * @author qinjiang
 * @description 清除检测消息重复的临时存储key
 * @date 2021-08-30 16:03:00
 */
@Slf4j
@Component
public class ClearExpireMessageKeyJob {

    @Reference(version = "1.0.0")
    DataMsgHisService dataMsgHisService;

    @XxlJob(value = JobHandlers.CLEAR_EXPIRE_MESSAGE_TASK)
    public ReturnT<String> clearExpireMessageHandler(String param) {

        Long begin = System.currentTimeMillis();

        dataMsgHisService.deleteSucceedRecord();

        Long end = System.currentTimeMillis();
        log.info("[clearExpireMessageHandler]数据执行共耗时 :" + (end - begin) + "毫秒");

        return ReturnT.SUCCESS;
    }
}
