package com.starbuds.server.service.task.job;

import com.starbuds.server.common.service.activity.LotteryGameService;
import com.starbuds.server.service.task.constant.JobHandlers;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Reference;
import org.springframework.stereotype.Component;

/**
 * 抽奖游戏
 *
 * @author aoe
 * @date 2021/11/24
 */
@Component
@Slf4j
public class LotteryGameJob {

    @Reference(version = "1.0.0")
    private LotteryGameService lotteryGameService;

    @XxlJob(value = JobHandlers.LOTTERY_GAME)
    public ReturnT<String> lotteryGameHandler(String param) {
        lotteryGameService.doTimedTask();
        return ReturnT.SUCCESS;
    }
}
