package com.starbuds.server.service.task.job;

import com.starbuds.server.common.service.data.RedisService;
import com.starbuds.server.common.service.rtc.RtcRecommendService;
import com.starbuds.server.service.task.constant.JobHandlers;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Reference;
import org.springframework.stereotype.Component;

/**
 * 首页大图状态维护定时任务
 *
 * @Author: lujiao
 * @Date: 2022/1/14 18:30
 */
@Slf4j
@Component
public class RtcRecommendStatusJob {

    @Reference(version = "1.0.0")
    RtcRecommendService rtcRecommendService;

    @XxlJob(value = JobHandlers.CHANGE_RTC_RECOMMEND_STATUS)
    public ReturnT<String> changeRtcRecommendStatusHandler(String param) {
        rtcRecommendService.changeOutTimeStatus();
        return ReturnT.SUCCESS;
    }
}
