package com.starbuds.server.service.task.job;

import com.starbuds.server.service.task.constant.JobHandlers;
import com.starbuds.server.service.task.constant.PlatformGathers;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

@Slf4j
@Component
/**
 * 统计合算后台管理积分任务
 * @author qingjiang
 */
public class StatGatherManagerCoinJob extends StatGatherJobBase {

    @XxlJob(value = JobHandlers.STAT_MANAGER_COIN_TASK)
    public ReturnT<String> statManagerCoinTask(String param) {
        logPrefix = "|运营后台赠送礼物| ";

        startGatherJobEntry(param, PlatformGathers.GATHER_Manager_COIN, 1L);
        startGatherJobEntry(param, PlatformGathers.GATHER_Manager_COIN, 0L);
        return ReturnT.SUCCESS;
    }

}
