package com.starbuds.server.service.task.job;

import com.starbuds.server.common.service.data.UserSearchService;
import com.starbuds.server.service.task.constant.JobHandlers;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Reference;
import org.springframework.stereotype.Component;

/**
 * 同步所有用户数据到ES
 *
 * @author aoe
 * @date 2020/12/28
 */
@Slf4j
@Component
public class SyncAllUser2EsJob {

    @Reference(version = "1.0.0")
    private UserSearchService userSearchService;

    @XxlJob(value = JobHandlers.SYNC_ALL_USER_LOCATION_CITY)
    public ReturnT<String> syncAllUserLocationCity(String param) {
        log.info("同步所有用户的定位城市开始");
        userSearchService.syncAllUserLocationCity();
        // 由于超时，看不到结果
        return ReturnT.SUCCESS;
    }

    @XxlJob(value = JobHandlers.SYNC_ALL_USER_2_ES)
    public ReturnT<String> syncAllUser2EsHandler(String param) {
        log.info("同步所有用户数据到ES开始");
        userSearchService.syncAllUser();
        // 由于超时，看不到结果
        return ReturnT.SUCCESS;
    }


}
