package com.starbuds.server.service.task.job;

import com.starbuds.server.common.service.finance.WalletService;
import com.starbuds.server.service.task.constant.JobHandlers;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Reference;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

/**
 * 星尘转粉钻
 *
 * @author aoe
 * @date 2020/11/21
 */
@Component
@Slf4j
public class TransDust2PinkJob {

    @Reference(version = "1.0.0")
    private WalletService walletService;

    @Transactional(rollbackFor = Exception.class)
    @XxlJob(value = JobHandlers.TRANS_DUST_2_PINK)
    public ReturnT<String> transDust2PinkHandler(String param) {
        log.info("星尘转粉钻开始");
        String result = walletService.transYtdStarDustToPinkDiamond();
        log.info("星尘转粉钻结束 {}", result);
        return ReturnT.SUCCESS;
    }
}
